#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2009
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# fluxbb.py
#
# Configuration de base de données mysql de fluxbb
#
###########################################################################
"""
    Config pour fluxbb
"""
from os.path import isdir
from eolesql.config import dico_creole
FLUXBB_TABLEFILENAMES = ["/etc/sysconfig/eole/scribe-fluxbb-1.4-rc3.sql"]

def test():
    """
        test l'existence de la table fluxbb
    """
    return (dico_creole.get('scribe_envole_fluxbb', 'non') == 'oui') and \
           (not isdir("/var/lib/mysql/fluxbb"))

conf_dict = dict(filenames=FLUXBB_TABLEFILENAMES,
                 test=test)
